// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v4.23.3
// source: carInfo.proto

package proto

import (
	code "google.golang.org/genproto/googleapis/rpc/code"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	anypb "google.golang.org/protobuf/types/known/anypb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Empty struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *Empty) Reset() {
	*x = Empty{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carInfo_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Empty) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Empty) ProtoMessage() {}

func (x *Empty) ProtoReflect() protoreflect.Message {
	mi := &file_carInfo_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Empty.ProtoReflect.Descriptor instead.
func (*Empty) Descriptor() ([]byte, []int) {
	return file_carInfo_proto_rawDescGZIP(), []int{0}
}

type CostOfCar struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CostOfUse int32 `protobuf:"varint,1,opt,name=costOfUse,proto3" json:"costOfUse,omitempty"`
}

func (x *CostOfCar) Reset() {
	*x = CostOfCar{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carInfo_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CostOfCar) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CostOfCar) ProtoMessage() {}

func (x *CostOfCar) ProtoReflect() protoreflect.Message {
	mi := &file_carInfo_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CostOfCar.ProtoReflect.Descriptor instead.
func (*CostOfCar) Descriptor() ([]byte, []int) {
	return file_carInfo_proto_rawDescGZIP(), []int{1}
}

func (x *CostOfCar) GetCostOfUse() int32 {
	if x != nil {
		return x.CostOfUse
	}
	return 0
}

type CarInfoList struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CarInfoList []*CarInfo `protobuf:"bytes,1,rep,name=carInfoList,proto3" json:"carInfoList,omitempty"`
}

func (x *CarInfoList) Reset() {
	*x = CarInfoList{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carInfo_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CarInfoList) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CarInfoList) ProtoMessage() {}

func (x *CarInfoList) ProtoReflect() protoreflect.Message {
	mi := &file_carInfo_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CarInfoList.ProtoReflect.Descriptor instead.
func (*CarInfoList) Descriptor() ([]byte, []int) {
	return file_carInfo_proto_rawDescGZIP(), []int{2}
}

func (x *CarInfoList) GetCarInfoList() []*CarInfo {
	if x != nil {
		return x.CarInfoList
	}
	return nil
}

type Mileage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mileage int32 `protobuf:"varint,1,opt,name=mileage,proto3" json:"mileage,omitempty"`
}

func (x *Mileage) Reset() {
	*x = Mileage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carInfo_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Mileage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Mileage) ProtoMessage() {}

func (x *Mileage) ProtoReflect() protoreflect.Message {
	mi := &file_carInfo_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Mileage.ProtoReflect.Descriptor instead.
func (*Mileage) Descriptor() ([]byte, []int) {
	return file_carInfo_proto_rawDescGZIP(), []int{3}
}

func (x *Mileage) GetMileage() int32 {
	if x != nil {
		return x.Mileage
	}
	return 0
}

type CarInfoRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	LicencePlate string `protobuf:"bytes,1,opt,name=licencePlate,proto3" json:"licencePlate,omitempty"`
}

func (x *CarInfoRequest) Reset() {
	*x = CarInfoRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carInfo_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CarInfoRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CarInfoRequest) ProtoMessage() {}

func (x *CarInfoRequest) ProtoReflect() protoreflect.Message {
	mi := &file_carInfo_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CarInfoRequest.ProtoReflect.Descriptor instead.
func (*CarInfoRequest) Descriptor() ([]byte, []int) {
	return file_carInfo_proto_rawDescGZIP(), []int{4}
}

func (x *CarInfoRequest) GetLicencePlate() string {
	if x != nil {
		return x.LicencePlate
	}
	return ""
}

type Car struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	LicencePlate string `protobuf:"bytes,1,opt,name=licencePlate,proto3" json:"licencePlate,omitempty"`
	Mileage      int32  `protobuf:"varint,2,opt,name=mileage,proto3" json:"mileage,omitempty"`
	Consumption  int32  `protobuf:"varint,3,opt,name=consumption,proto3" json:"consumption,omitempty"`
	Tax          int32  `protobuf:"varint,4,opt,name=tax,proto3" json:"tax,omitempty"`
}

func (x *Car) Reset() {
	*x = Car{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carInfo_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Car) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Car) ProtoMessage() {}

func (x *Car) ProtoReflect() protoreflect.Message {
	mi := &file_carInfo_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Car.ProtoReflect.Descriptor instead.
func (*Car) Descriptor() ([]byte, []int) {
	return file_carInfo_proto_rawDescGZIP(), []int{5}
}

func (x *Car) GetLicencePlate() string {
	if x != nil {
		return x.LicencePlate
	}
	return ""
}

func (x *Car) GetMileage() int32 {
	if x != nil {
		return x.Mileage
	}
	return 0
}

func (x *Car) GetConsumption() int32 {
	if x != nil {
		return x.Consumption
	}
	return 0
}

func (x *Car) GetTax() int32 {
	if x != nil {
		return x.Tax
	}
	return 0
}

type CarInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	LicencePlate      string `protobuf:"bytes,1,opt,name=licencePlate,proto3" json:"licencePlate,omitempty"`
	Model             string `protobuf:"bytes,2,opt,name=model,proto3" json:"model,omitempty"`
	YearOfManufacture int32  `protobuf:"varint,3,opt,name=yearOfManufacture,proto3" json:"yearOfManufacture,omitempty"`
	Type              string `protobuf:"bytes,4,opt,name=type,proto3" json:"type,omitempty"`
}

func (x *CarInfo) Reset() {
	*x = CarInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carInfo_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CarInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CarInfo) ProtoMessage() {}

func (x *CarInfo) ProtoReflect() protoreflect.Message {
	mi := &file_carInfo_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CarInfo.ProtoReflect.Descriptor instead.
func (*CarInfo) Descriptor() ([]byte, []int) {
	return file_carInfo_proto_rawDescGZIP(), []int{6}
}

func (x *CarInfo) GetLicencePlate() string {
	if x != nil {
		return x.LicencePlate
	}
	return ""
}

func (x *CarInfo) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

func (x *CarInfo) GetYearOfManufacture() int32 {
	if x != nil {
		return x.YearOfManufacture
	}
	return 0
}

func (x *CarInfo) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

type CarInfoResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CarInfo *CarInfo `protobuf:"bytes,1,opt,name=carInfo,proto3" json:"carInfo,omitempty"`
	Error   *Error   `protobuf:"bytes,2,opt,name=error,proto3,oneof" json:"error,omitempty"`
}

func (x *CarInfoResponse) Reset() {
	*x = CarInfoResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carInfo_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CarInfoResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CarInfoResponse) ProtoMessage() {}

func (x *CarInfoResponse) ProtoReflect() protoreflect.Message {
	mi := &file_carInfo_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CarInfoResponse.ProtoReflect.Descriptor instead.
func (*CarInfoResponse) Descriptor() ([]byte, []int) {
	return file_carInfo_proto_rawDescGZIP(), []int{7}
}

func (x *CarInfoResponse) GetCarInfo() *CarInfo {
	if x != nil {
		return x.CarInfo
	}
	return nil
}

func (x *CarInfoResponse) GetError() *Error {
	if x != nil {
		return x.Error
	}
	return nil
}

type Error struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Error *Error_Status `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
}

func (x *Error) Reset() {
	*x = Error{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carInfo_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Error) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Error) ProtoMessage() {}

func (x *Error) ProtoReflect() protoreflect.Message {
	mi := &file_carInfo_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Error.ProtoReflect.Descriptor instead.
func (*Error) Descriptor() ([]byte, []int) {
	return file_carInfo_proto_rawDescGZIP(), []int{8}
}

func (x *Error) GetError() *Error_Status {
	if x != nil {
		return x.Error
	}
	return nil
}

type Error_Status struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Code    int32        `protobuf:"varint,1,opt,name=code,proto3" json:"code,omitempty"`
	Message string       `protobuf:"bytes,2,opt,name=message,proto3" json:"message,omitempty"`
	Status  code.Code    `protobuf:"varint,4,opt,name=status,proto3,enum=google.rpc.Code" json:"status,omitempty"`
	Details []*anypb.Any `protobuf:"bytes,3,rep,name=details,proto3" json:"details,omitempty"`
}

func (x *Error_Status) Reset() {
	*x = Error_Status{}
	if protoimpl.UnsafeEnabled {
		mi := &file_carInfo_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Error_Status) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Error_Status) ProtoMessage() {}

func (x *Error_Status) ProtoReflect() protoreflect.Message {
	mi := &file_carInfo_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Error_Status.ProtoReflect.Descriptor instead.
func (*Error_Status) Descriptor() ([]byte, []int) {
	return file_carInfo_proto_rawDescGZIP(), []int{8, 0}
}

func (x *Error_Status) GetCode() int32 {
	if x != nil {
		return x.Code
	}
	return 0
}

func (x *Error_Status) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

func (x *Error_Status) GetStatus() code.Code {
	if x != nil {
		return x.Status
	}
	return code.Code_OK
}

func (x *Error_Status) GetDetails() []*anypb.Any {
	if x != nil {
		return x.Details
	}
	return nil
}

var File_carInfo_proto protoreflect.FileDescriptor

var file_carInfo_proto_rawDesc = []byte{
	0x0a, 0x0d, 0x63, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x19, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2f, 0x61, 0x6e, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x0e, 0x72, 0x70, 0x63, 0x2f,
	0x63, 0x6f, 0x64, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x07, 0x0a, 0x05, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x22, 0x29, 0x0a, 0x09, 0x43, 0x6f, 0x73, 0x74, 0x4f, 0x66, 0x43, 0x61, 0x72,
	0x12, 0x1c, 0x0a, 0x09, 0x63, 0x6f, 0x73, 0x74, 0x4f, 0x66, 0x55, 0x73, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x05, 0x52, 0x09, 0x63, 0x6f, 0x73, 0x74, 0x4f, 0x66, 0x55, 0x73, 0x65, 0x22, 0x39,
	0x0a, 0x0b, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x2a, 0x0a,
	0x0b, 0x63, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x4c, 0x69, 0x73, 0x74, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x08, 0x2e, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0b, 0x63, 0x61,
	0x72, 0x49, 0x6e, 0x66, 0x6f, 0x4c, 0x69, 0x73, 0x74, 0x22, 0x23, 0x0a, 0x07, 0x4d, 0x69, 0x6c,
	0x65, 0x61, 0x67, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x69, 0x6c, 0x65, 0x61, 0x67, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x07, 0x6d, 0x69, 0x6c, 0x65, 0x61, 0x67, 0x65, 0x22, 0x34,
	0x0a, 0x0e, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x22, 0x0a, 0x0c, 0x6c, 0x69, 0x63, 0x65, 0x6e, 0x63, 0x65, 0x50, 0x6c, 0x61, 0x74, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x6c, 0x69, 0x63, 0x65, 0x6e, 0x63, 0x65, 0x50,
	0x6c, 0x61, 0x74, 0x65, 0x22, 0x77, 0x0a, 0x03, 0x43, 0x61, 0x72, 0x12, 0x22, 0x0a, 0x0c, 0x6c,
	0x69, 0x63, 0x65, 0x6e, 0x63, 0x65, 0x50, 0x6c, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0c, 0x6c, 0x69, 0x63, 0x65, 0x6e, 0x63, 0x65, 0x50, 0x6c, 0x61, 0x74, 0x65, 0x12,
	0x18, 0x0a, 0x07, 0x6d, 0x69, 0x6c, 0x65, 0x61, 0x67, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x07, 0x6d, 0x69, 0x6c, 0x65, 0x61, 0x67, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x63, 0x6f, 0x6e,
	0x73, 0x75, 0x6d, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0b,
	0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x10, 0x0a, 0x03, 0x74,
	0x61, 0x78, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x03, 0x74, 0x61, 0x78, 0x22, 0x85, 0x01,
	0x0a, 0x07, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x22, 0x0a, 0x0c, 0x6c, 0x69, 0x63,
	0x65, 0x6e, 0x63, 0x65, 0x50, 0x6c, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0c, 0x6c, 0x69, 0x63, 0x65, 0x6e, 0x63, 0x65, 0x50, 0x6c, 0x61, 0x74, 0x65, 0x12, 0x14, 0x0a,
	0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0x12, 0x2c, 0x0a, 0x11, 0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x4d, 0x61, 0x6e,
	0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x11,
	0x79, 0x65, 0x61, 0x72, 0x4f, 0x66, 0x4d, 0x61, 0x6e, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72,
	0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x22, 0x62, 0x0a, 0x0f, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x22, 0x0a, 0x07, 0x63, 0x61, 0x72, 0x49,
	0x6e, 0x66, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x08, 0x2e, 0x43, 0x61, 0x72, 0x49,
	0x6e, 0x66, 0x6f, 0x52, 0x07, 0x63, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x21, 0x0a, 0x05,
	0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x06, 0x2e, 0x45, 0x72,
	0x72, 0x6f, 0x72, 0x48, 0x00, 0x52, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x88, 0x01, 0x01, 0x42,
	0x08, 0x0a, 0x06, 0x5f, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x22, 0xbf, 0x01, 0x0a, 0x05, 0x45, 0x72,
	0x72, 0x6f, 0x72, 0x12, 0x23, 0x0a, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x1a, 0x90, 0x01, 0x0a, 0x06, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x05, 0x52, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x12, 0x28, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x10, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x43,
	0x6f, 0x64, 0x65, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x2e, 0x0a, 0x07, 0x64,
	0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x41,
	0x6e, 0x79, 0x52, 0x07, 0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x32, 0xe1, 0x02, 0x0a, 0x0e,
	0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x2d,
	0x0a, 0x0c, 0x47, 0x65, 0x74, 0x43, 0x6f, 0x73, 0x74, 0x4f, 0x66, 0x43, 0x61, 0x72, 0x12, 0x0f,
	0x2e, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x0a, 0x2e, 0x43, 0x6f, 0x73, 0x74, 0x4f, 0x66, 0x43, 0x61, 0x72, 0x22, 0x00, 0x12, 0x2c, 0x0a,
	0x0d, 0x47, 0x65, 0x74, 0x43, 0x61, 0x72, 0x4d, 0x69, 0x6c, 0x65, 0x61, 0x67, 0x65, 0x12, 0x0f,
	0x2e, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x08, 0x2e, 0x4d, 0x69, 0x6c, 0x65, 0x61, 0x67, 0x65, 0x22, 0x00, 0x12, 0x22, 0x0a, 0x12, 0x52,
	0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x65, 0x77, 0x43, 0x61,
	0x72, 0x12, 0x04, 0x2e, 0x43, 0x61, 0x72, 0x1a, 0x04, 0x2e, 0x43, 0x61, 0x72, 0x22, 0x00, 0x12,
	0x29, 0x0a, 0x0a, 0x47, 0x65, 0x74, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x0f, 0x2e,
	0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x08,
	0x2e, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x22, 0x00, 0x12, 0x25, 0x0a, 0x0d, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x08, 0x2e, 0x43, 0x61,
	0x72, 0x49, 0x6e, 0x66, 0x6f, 0x1a, 0x08, 0x2e, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x22,
	0x00, 0x12, 0x25, 0x0a, 0x0d, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x43, 0x61, 0x72, 0x49, 0x6e,
	0x66, 0x6f, 0x12, 0x08, 0x2e, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x1a, 0x08, 0x2e, 0x43,
	0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x22, 0x00, 0x12, 0x2c, 0x0a, 0x0d, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x0f, 0x2e, 0x43, 0x61, 0x72, 0x49,
	0x6e, 0x66, 0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x08, 0x2e, 0x43, 0x61, 0x72,
	0x49, 0x6e, 0x66, 0x6f, 0x22, 0x00, 0x12, 0x27, 0x0a, 0x0d, 0x47, 0x65, 0x74, 0x41, 0x6c, 0x6c,
	0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x06, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a,
	0x0c, 0x2e, 0x43, 0x61, 0x72, 0x49, 0x6e, 0x66, 0x6f, 0x4c, 0x69, 0x73, 0x74, 0x22, 0x00, 0x42,
	0x09, 0x5a, 0x07, 0x2e, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_carInfo_proto_rawDescOnce sync.Once
	file_carInfo_proto_rawDescData = file_carInfo_proto_rawDesc
)

func file_carInfo_proto_rawDescGZIP() []byte {
	file_carInfo_proto_rawDescOnce.Do(func() {
		file_carInfo_proto_rawDescData = protoimpl.X.CompressGZIP(file_carInfo_proto_rawDescData)
	})
	return file_carInfo_proto_rawDescData
}

var file_carInfo_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_carInfo_proto_goTypes = []interface{}{
	(*Empty)(nil),           // 0: Empty
	(*CostOfCar)(nil),       // 1: CostOfCar
	(*CarInfoList)(nil),     // 2: CarInfoList
	(*Mileage)(nil),         // 3: Mileage
	(*CarInfoRequest)(nil),  // 4: CarInfoRequest
	(*Car)(nil),             // 5: Car
	(*CarInfo)(nil),         // 6: CarInfo
	(*CarInfoResponse)(nil), // 7: CarInfoResponse
	(*Error)(nil),           // 8: Error
	(*Error_Status)(nil),    // 9: Error.Status
	(code.Code)(0),          // 10: google.rpc.Code
	(*anypb.Any)(nil),       // 11: google.protobuf.Any
}
var file_carInfo_proto_depIdxs = []int32{
	6,  // 0: CarInfoList.carInfoList:type_name -> CarInfo
	6,  // 1: CarInfoResponse.carInfo:type_name -> CarInfo
	8,  // 2: CarInfoResponse.error:type_name -> Error
	9,  // 3: Error.error:type_name -> Error.Status
	10, // 4: Error.Status.status:type_name -> google.rpc.Code
	11, // 5: Error.Status.details:type_name -> google.protobuf.Any
	4,  // 6: CarInfoService.GetCostOfCar:input_type -> CarInfoRequest
	4,  // 7: CarInfoService.GetCarMileage:input_type -> CarInfoRequest
	5,  // 8: CarInfoService.RegistrationNewCar:input_type -> Car
	4,  // 9: CarInfoService.GetCarInfo:input_type -> CarInfoRequest
	6,  // 10: CarInfoService.CreateCarInfo:input_type -> CarInfo
	6,  // 11: CarInfoService.UpdateCarInfo:input_type -> CarInfo
	4,  // 12: CarInfoService.DeleteCarInfo:input_type -> CarInfoRequest
	0,  // 13: CarInfoService.GetAllCarInfo:input_type -> Empty
	1,  // 14: CarInfoService.GetCostOfCar:output_type -> CostOfCar
	3,  // 15: CarInfoService.GetCarMileage:output_type -> Mileage
	5,  // 16: CarInfoService.RegistrationNewCar:output_type -> Car
	6,  // 17: CarInfoService.GetCarInfo:output_type -> CarInfo
	6,  // 18: CarInfoService.CreateCarInfo:output_type -> CarInfo
	6,  // 19: CarInfoService.UpdateCarInfo:output_type -> CarInfo
	6,  // 20: CarInfoService.DeleteCarInfo:output_type -> CarInfo
	2,  // 21: CarInfoService.GetAllCarInfo:output_type -> CarInfoList
	14, // [14:22] is the sub-list for method output_type
	6,  // [6:14] is the sub-list for method input_type
	6,  // [6:6] is the sub-list for extension type_name
	6,  // [6:6] is the sub-list for extension extendee
	0,  // [0:6] is the sub-list for field type_name
}

func init() { file_carInfo_proto_init() }
func file_carInfo_proto_init() {
	if File_carInfo_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_carInfo_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Empty); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carInfo_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CostOfCar); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carInfo_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CarInfoList); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carInfo_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Mileage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carInfo_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CarInfoRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carInfo_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Car); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carInfo_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CarInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carInfo_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CarInfoResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carInfo_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Error); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_carInfo_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Error_Status); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_carInfo_proto_msgTypes[7].OneofWrappers = []interface{}{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_carInfo_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_carInfo_proto_goTypes,
		DependencyIndexes: file_carInfo_proto_depIdxs,
		MessageInfos:      file_carInfo_proto_msgTypes,
	}.Build()
	File_carInfo_proto = out.File
	file_carInfo_proto_rawDesc = nil
	file_carInfo_proto_goTypes = nil
	file_carInfo_proto_depIdxs = nil
}
